Spigot Install - Debian - Install Guide

Discussion in 'Spigot Help' started by NachoPoppie, May 25, 2016.

  1. Greetings,

    Question on install guide for Linux, it says to create new startup script to launch the .jar, the last part says to include "java -Xms512M -Xmx1G -XX:MaxPermSize=128M -XX:+UseConcMarkSweepGC -jar spigot.jar", but then there is a note that MaxPermSize is no longer needed in Java 8, and for Debian this script wont work.

    I have OpenSDK - 7 installed on Debian 8 - Jessie. I use this and it works. Just wondering if its the best to use.
     
  2. The MaxPermSize is only a warning and if you have Java 7 installed then it shouldn't show anyway (what's the output of java -version).
    Does the server actually start, what other errors are given?
     
  3. java -version output?
     
  4. Sorry meant OpenJDK

    java - version

    java version "1.7.0_101"
    OpenJDK Runtime Environment (IcedTea 2.6.6) (7u101-2.6.6-1~deb8u1)
    OpenJDK 64-Bit Server VM (build 24.95-b01, mixed mode)

    and yes the server starts and is working.
     
  5. Right, that flag was deprecated in Java 8, which you should definitely upgrade to. It will act as if that flag isn't there.
     
    • Optimistic Optimistic x 1